fast_math.h File Reference

Math utilities. More...

`#include <cstdint>`
`#include "cutlass/cutlass.h"`
Include dependency graph for fast_math.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cutlass::is_pow2< N >
struct | cutlass::log2_down< N, CurrentVal, Count >
struct | cutlass::log2_down< N, 1, Count >
struct | cutlass::log2_up< N, CurrentVal, Count >
struct | cutlass::log2_up< N, 1, Count >
struct | cutlass::sqrt_est< N >
struct | cutlass::divide_assert< Dividend, Divisor >
struct | cutlass::Min< A, B >
struct | cutlass::Max< A, B >

## Namespaces

| cutlass

## Functions

template<typename dividend_t , typename divisor_t >
CUTLASS_HOST_DEVICE dividend_t | cutlass::round_nearest (dividend_t dividend, divisor_t divisor)
template<typename value_t >
CUTLASS_HOST_DEVICE value_t | cutlass::gcd (value_t a, value_t b)
template<typename value_t >
CUTLASS_HOST_DEVICE value_t | cutlass::lcm (value_t a, value_t b)
template<typename value_t >
CUTLASS_HOST_DEVICE value_t | cutlass::clz (value_t x)
template<typename value_t >
CUTLASS_HOST_DEVICE value_t | cutlass::find_log2 (value_t x)
CUTLASS_HOST_DEVICE void | cutlass::find_divisor (unsigned int &mul, unsigned int &shr, unsigned int denom)
CUTLASS_HOST_DEVICE void | cutlass::fast_divmod (int &quo, int &rem, int src, int div, unsigned int mul, unsigned int shr)
CUTLASS_HOST_DEVICE void | cutlass::fast_divmod (int &quo, int64_t &rem, int64_t src, int div, unsigned int mul, unsigned int shr)
CUTLASS_HOST_DEVICE constexpr int | cutlass::const_min (int a, int b)
CUTLASS_HOST_DEVICE constexpr int | cutlass::const_max (int a, int b)